# Uses of Interface
org.eclipse.birt.report.engine.api.IReportDocumentLock

Packages that use IReportDocumentLock
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IReportDocumentLock in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return IReportDocumentLock
Modifier and Type
Method
Description
`IReportDocumentLock`
IReportDocumentLockManager.`lock(String document)`
try to lock a file, onece the user get the lock of the file, it should synchronize the locker to read/write the report document.